- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::IoCloser Class Reference

Utility class that closes a BasicIo instance upon destruction. Meant to be used as a stack variable in functions that need to ensure BasicIo instances get closed. Useful when functions return errors from many locations. More...

`#include <basicio.hpp>`

Collaboration diagram for Exiv2::IoCloser:

[legend]
List of all members.

## Public Member Functions
Creators
| IoCloser (BasicIo &bio)
| Constructor, takes a BasicIo reference.
| ~IoCloser ()
| Destructor, closes the BasicIo reference.
Manipulators
void | close ()
| Close the BasicIo if it is open.
## Public Attributes
BasicIo & | bio_
| The BasicIo reference.

## Detailed Description

Utility class that closes a BasicIo instance upon destruction. Meant to be used as a stack variable in functions that need to ensure BasicIo instances get closed. Useful when functions return errors from many locations.

The documentation for this class was generated from the following file:

- basicio.hpp